2018-12-10 08:13 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001489Orfeo Toolbox (OTB)Generalpublic2018-01-09 15:07
Reporterpoughov 
Assigned Togpasero 
PriorityurgentSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Summary0001489: BandMath and BandMathX are missing important documentation on expression syntax
DescriptionIt is very often unclear for users what syntax is allowed in the BandMath and BandMathX expressions. Refering to a cryptic 'MuParser version superior to 2.0' followed by a non clickable link is not sufficient.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004487

gpasero (administrator)

I will add a very synthetic description of the syntax.

I was also thinking about converting URL addresses into proper links in the Documentation panel of GUI, but this is more a feature request that I will add to the wish-list.

~0004488

gpasero (administrator)

Fixed, in several steps:
* I needed a class to protect special characters encapsulated in HTML:
https://git.orfeo-toolbox.org/otb.git/commit/9e3aa6d583dc11a87e8ad54414ec33f18d26f69b
https://git.orfeo-toolbox.org/otb.git/commit/fcd44b7f1bd17a46f52a4d11ab5b516d5e5c00bd

* Small syntax cheatsheet for Muparser and MuparserX, plus minor RST fixes:
https://git.orfeo-toolbox.org/otb.git/commit/a2f66421b2eb07e52554e041cd4fb91916894c9a
+Notes

-Issue History
Date Modified Username Field Change
2017-12-06 12:59 poughov New Issue
2018-01-05 14:22 gpasero Priority normal => urgent
2018-01-08 15:00 gpasero Assigned To => gpasero
2018-01-08 15:00 gpasero Status new => assigned
2018-01-08 15:03 gpasero Note Added: 0004487
2018-01-09 15:07 gpasero Status assigned => resolved
2018-01-09 15:07 gpasero Resolution open => fixed
2018-01-09 15:07 gpasero Note Added: 0004488
+Issue History